@import 'src/components/rem';

.base {
    display: inline-flex;
    position: relative;

    .label {
        position: absolute;
        z-index: 10;

        padding: rem(8px) rem(12px);
        border-radius: rem(4px);
        background: var(--color-black);
        color: var(--color-white);
        cursor: default;
        white-space: nowrap;
    }

    .top-left {
        top: rem(-5px);
        left: rem(0px);
        transform: translate(-100%, -100%);
    }

    .top-right {
        top: rem(-5px);
        left: auto;
        right: 0;
        transform: translate(100%, -100%);
    }

    .bottom-left {
        top: auto;
        left: 0;
        bottom: rem(-5px);
        transform: translate(-100%, 100%);
    }

    .bottom-right {
        bottom: rem(-5px);
        left: auto;
        right: 0;
        transform: translate(100%, 100%);
    }

    .top-center {
        top: rem(-5px);
        left: 50%;
        transform: translate(-50%, -100%);
    }

    .bottom-center {
        top: auto;
        bottom: rem(-5px);
        transform: translate(-50%, 100%);
    }

    .left-center {
        transform: translate(-100%, 0);
    }

    .right-center {
        transform: translate(10%, 0);
    }
}
